import MarkdownIt from 'markdown-it';
interface TocOption {
    includeLevel: number[];
    containerClass: string;
    slugify: (textContent: string) => string;
    markerPattern: RegExp;
    listType: string;
    format: (content: string, md: MarkdownIt, anchor?: string) => string;
    forceFullToc: boolean;
    containerHeaderHtml?: string;
    containerFooterHtml?: string;
    transformLink?: (anchor: string) => string;
}
declare const defaultTocOption: {
    includeLevel: number[];
    containerClass: string;
    slugify: (s: any) => string;
    markerPattern: RegExp;
    listType: string;
    format: (content: any, md: any) => any;
    forceFullToc: boolean;
    containerHeaderHtml: string;
    containerFooterHtml: any;
    transformLink: any;
};
export { TocOption, defaultTocOption };
