import MarkdownIt from 'markdown-it';
import { MultilineBlockquoteOptions, MultilineBlockquotePlugin, MultilineBlockquoteRule } from './plugins/multiline-blockquote/multiline-blockquote.plugin';
import { MarkdownItPresetOption } from './option';
import { HighlightCodeLinesOptions, HighlightCodeLinesPlugin } from './plugins/highlight-code-lines.plugin';
declare const markdownItFactory: ({ html, codeHighlight, taskListsOption, math, disableRules, linkify: linkifyOption, }?: MarkdownItPresetOption) => MarkdownIt;
export { MultilineBlockquotePlugin, MultilineBlockquoteRule, MultilineBlockquoteOptions, markdownItFactory, MarkdownIt, HighlightCodeLinesOptions, HighlightCodeLinesPlugin, };
