import MdAnchor from 'markdown-it-anchor';
interface TaskListsOption {
    enable: boolean;
    label: boolean;
    labelAfter: boolean;
}
declare type LinkifyOption = import('linkify-it').Options & {
    fuzzyLinkUseHttps?: boolean;
};
interface MarkdownItPresetOption {
    codeHighlight: boolean;
    math: boolean;
    html: boolean;
    disableRules: string[];
    taskListsOption?: TaskListsOption;
    linkify?: LinkifyOption;
}
declare const defaultTaskListsOption: TaskListsOption;
declare const defaultMarkdownItOption: MarkdownItPresetOption;
declare const defaultLinkifyOptions: LinkifyOption;
declare const anchorOption: MdAnchor.AnchorOptions;
export { TaskListsOption, MarkdownItPresetOption, defaultTaskListsOption, defaultMarkdownItOption, defaultLinkifyOptions, anchorOption, };
